Subject: Re: [Shop-talk] Pick Handle

From: Jack Brooks <[email-masked]>
Date: Tue, 20 Sep 2016 02:57:26 +0000

Peter and Bolin(?)

I like the tractor show idea, and that might be fun.  I do have a more rustic hardware store close by.  I' planned on checking that next as it's closer.  My original inquiry was about the plastic mount on the end of the handle hybrid I saw at the depot.  Apparently no one is impressed with that!

Thanks,

Jack

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, September 19, 2016 6:00 PM
To: Peter Murray <[email-masked]>
Cc: [email-masked]; Jack Brooks <[email-masked]>
Subject: Re: [Shop-talk] Pick Handle

Go to a tractor show and you can get as good hickory one and cheap.

On Sep 19, 2016 12:14 PM, Peter Murray <[email-masked]> wrote:
>
> Not sure if you've looked at Amazon, but they seem to have a variety:
>
> https://www.amazon.com/s/ref=nb_sb_noss_2?url=search-alias%3Daps&field
> -keywords=pick+handle
>
> I can understand not wanting to order one and finding it doesn't fit. You can often find the dimensions at each end in the listings, though. Perhaps your local Ace or other hardware store / garden center has more choices in stock...
>
> -Peter
>
> On Fri, Sep 16, 2016 at 12:05 AM, Jack Brooks <[email-masked]> wrote:
>>
>> I need a new handle for my heavy vintage pick.  I have not been to a "real"
>> hardware store yet, only Home Depot.  They had one suitable handle.  
>> The HD SKU is #682989.  What they have is a normally shaped handle, 
>> but instead of flaring at the top in the original hickory stock to 
>> fit the big head opening of the pick, they have a ribbed plastic 
>> collar.  They did not have solid wood pick handles and this seems a bit odd.
>>
>> Pros:  The plastic ribbing did like to stick nicely to my pick head 
>> and I suspect the plastic might absorb some vibration
>>
>> Cons: it looks cheap and I am concerned that it won't hold up.  The 
>> finish on the handle is pretty rough and I will likely refinish it.
>>
>> Does anyone have experience with these "hybrid" pick handles.  The 
>> URL for the Home Depot one is here.
>> http://www.homedepot.com/p/True-Temper-36-in-Replacement-Handle-with-
>> Handle- 
>> Guard-2036900/100605612?cm_mmc=Shopping%7cTHD%7cG%7c0%7cG-BASE-PLA-D2
>> 8I-Insi 
>> deGardenOther%7c&gclid=CMr28Nn-ks8CFUWBfgoddWIPDA&gclsrc=aw.ds
>>
>> I can find the all wood ones on line, but I'd rather not mail order 
>> it.  I once bought the wrong size Axe handle.  It was close, but just not right.
>> It took too many hours to hand fit that bad-boy and it's acceptable, 
>> but not great.  Never again, if I can avoid it.
>>
>> Thanks in advance,
>>
>> Jack
>>
>> _______________________________________________
>>
>> [email-masked]
>> Donate: http://www.team.net/donate.html Suggested annual donation  
>> $12.96
>> Archive: http://www.team.net/archive
>> Forums: http://www.team.net/forums
>> Unsubscribe/Manage: 
>> http://autox.team.net/mailman/options/shop-talk/[email-masked]
>> m
>>
>

_______________________________________________

[email-masked]
Archive: http://www.team.net/archive